GET /api/templates/1007982229/foreign_input_sets
200
{
"total": 1,
"subtotal": 1,
"page": 1,
"per_page": 20,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"template_id": 1007982229,
"target_template_name": "Job template 327",
"include_all": true,
"include": null,
"exclude": null,
"id": 21,
"target_template_id": 1007982230
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
template_id
required |
Validations:
|
|
search
optional |
filter results Validations:
|
|
order
optional |
Sort and order by a searchable field, e.g. '<field> DESC' Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return, 'all' to return all results Validations:
|
GET /api/templates/1007982220-Job%20template%20317/foreign_input_sets/18
200
{
"template_id": 1007982220,
"target_template_name": "Job template 318",
"include_all": true,
"include": null,
"exclude": null,
"id": 18,
"target_template_id": 1007982221
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
template_id
required |
Validations:
|
|
id
required |
Validations:
|
POST /api/templates/1007982211-Job%20template%20308/foreign_input_sets
{
"foreign_input_set": {}
}
422
{
"error": {
"id": null,
"errors": {
"target_template": [
"can't be blank"
]
},
"full_messages": [
"Target template can't be blank"
]
}
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
template_id
required |
Validations:
|
|
foreign_input_set
required |
Validations:
|
|
foreign_input_set[target_template_id]
required |
Target template ID Validations:
|
|
foreign_input_set[include_all]
optional , nil allowed |
Include all inputs from the foreign template Validations:
|
|
foreign_input_set[include]
optional , nil allowed |
A comma separated list of input names to be included from the foreign template. Validations:
|
|
foreign_input_set[exclude]
optional , nil allowed |
A comma separated list of input names to be included from the foreign template. Validations:
|
|
foreign_input_set[description]
optional , nil allowed |
Input set description Validations:
|
DELETE /api/templates/1007982223-Job%20template%20320/foreign_input_sets/19
{
"foreign_input_set": {}
}
200
{
"id": 19,
"template_id": 1007982223,
"target_template_id": 1007982224,
"include_all": true,
"include": null,
"exclude": null
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
template_id
required |
Validations:
|
|
id
required |
Validations:
|
PUT /api/templates/1007982217-Job%20template%20314/foreign_input_sets/17
{
"foreign_input_set": {
"target_template_id": ""
}
}
422
{
"error": {
"id": 17,
"errors": {
"target_template": [
"can't be blank"
]
},
"full_messages": [
"Target template can't be blank"
]
}
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
template_id
required |
Validations:
|
|
id
required |
Validations:
|
|
foreign_input_set
required |
Validations:
|
|
foreign_input_set[target_template_id]
optional |
Target template ID Validations:
|
|
foreign_input_set[include_all]
optional , nil allowed |
Include all inputs from the foreign template Validations:
|
|
foreign_input_set[include]
optional , nil allowed |
A comma separated list of input names to be included from the foreign template. Validations:
|
|
foreign_input_set[exclude]
optional , nil allowed |
A comma separated list of input names to be included from the foreign template. Validations:
|
|
foreign_input_set[description]
optional , nil allowed |
Input set description Validations:
|